package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.StaffCustomer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户企业Mapper接口
 * 
 * @author ics
 * @date 2024-04-08
 */
@Mapper
public interface StaffCustomerMapper extends BaseMapper<StaffCustomer> {
    /**
     * 查询用户企业
     * 
     * @param id 用户企业ID
     * @return 用户企业
     */
    StaffCustomer selectStaffCustomerById(Long id);

    /**
     * 查询用户企业列表
     * 
     * @param staffCustomer 用户企业
     * @return 用户企业集合
     */
    List<StaffCustomer> selectStaffCustomerList(StaffCustomer staffCustomer);

    /**
     * 新增用户企业
     * 
     * @param staffCustomer 用户企业
     * @return 结果
     */
    int insertStaffCustomer(StaffCustomer staffCustomer);

    /**
     * 修改用户企业
     * 
     * @param staffCustomer 用户企业
     * @return 结果
     */
    int updateStaffCustomer(StaffCustomer staffCustomer);

    /**
     * 删除用户企业
     * 
     * @param id 用户企业ID
     * @return 结果
     */
    int deleteStaffCustomerById(Long id);

    /**
     * 批量删除用户企业
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteStaffCustomerByIds(String[] ids);

    List<StaffCustomer> selectStaffCustomerByStaffId(Long id);

    List<StaffCustomer> selectStaffCustomerByStaffIdAndParkId(@Param("staffId") Long id,@Param("parkId") String parkId);
}
